打印

如何升级openssl-1.1.1-pr

如何升级openssl-1.1.1-pr

修改lnmp.conf 里的Nginx_Modules_Options='' ,引号中加上--with-openssl=/root/OPENSSL解压目录/ --with-openssl-opt=enable-tls1_3  重新升级nginx   (新版 https://www.openssl.org/source/ )
wget https://www.openssl.org/source/openssl-1.1.1-pre2.tar.gz && tar zxvf openssl-1.1.1-pre2.tar.gz && cd /root/lnmp1.5 && ./upgrade.sh nginx

这是老版本的升级方法,但是这个方法在LNMP1.5上会报错,我是想开启tls1.3,而且新版CHROME可以支持到DRAFT23

TOP

1.4开始就已经默认添加了openssl 1.0.2 ,需要另外Enable_Nginx_Openssl设为n
你只说报错,不提供错误信息没法分析可能原因

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

能否做一个升级OPENSSL的自动脚本?

TOP

回复 3# 的帖子

不会增加对系统openssl的升级,脚本中已经有openssl 1.0.2,对需要的系统环境另外安装openssl 1.0.2

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP